package com.sv.entity;

import com.ydd.oms.entity.sys.ExcelColumn;

import java.io.Serializable;
import java.util.Date;
import java.math.*;

/**
 * Entity - 订单
 *
 * @author lihong
 * @since 2018-08-03
 */
public class Order implements Serializable {


    /**
     * 
     */
    private Integer id;

    /**
     * 支付状态
     */
    private Integer payStatus;

    /**
     * 用户ID
     */
    private Integer memberId;

    /**
     * 订单号
     */
    @ExcelColumn("订单号")
    private String orderSn;

    /**
     * 上级订单号
     */
    private Integer parentOrderId;

    /**
     * 外部订单号
     */
    @ExcelColumn("外部订单号")
    private String tradeSn;

    /**
     * 支付方式
     */
    private Integer payType;

    /**
     * 价格
     */
    @ExcelColumn("价格")
    private BigDecimal price;

    /**
     * 余额充值到账金额
     */
    private BigDecimal toMoney;

    /**
     * 
     */
    private String prepayId;

    /**
     * 支付时间
     */
    @ExcelColumn("支付时间")
    private Date payTime;

    /**
     * 类型
     */
    private Integer type;

    /**
     * 平台来源ID
     */
    private Integer platformId;

    /**
     * 创建者编号
     */
    private Integer createdId;

    /**
     * 创建者编号
     */
    private Integer modifiedId;

    /**
     * 创建时间
     */
    @ExcelColumn("下单时间")
    private Date createdTime;

    /**
     * 更新时间
     */
    private Date modifiedTime;

    /**
     * 删除标识位
     *
     * @see com.ydd.framework.core.entity.enums.DeletedEnum
     */
    private Integer deleted;



    /**
     * 设置
     *
     * @param id 
     */
    public void setId(Integer id){
        this.id = id;
    }

    /**
     * 获取
     *
     * @return 
     */
    public Integer getId(){
        return id;
    }


    /**
     * 设置支付状态
     *
     * @param payStatus 支付状态
     */
    public void setPayStatus(Integer payStatus){
        this.payStatus = payStatus;
    }

    /**
     * 获取支付状态
     *
     * @return 支付状态
     */
    public Integer getPayStatus(){
        return payStatus;
    }


    /**
     * 设置用户ID
     *
     * @param memberId 用户ID
     */
    public void setMemberId(Integer memberId){
        this.memberId = memberId;
    }

    /**
     * 获取用户ID
     *
     * @return 用户ID
     */
    public Integer getMemberId(){
        return memberId;
    }


    /**
     * 设置订单号
     *
     * @param orderSn 订单号
     */
    public void setOrderSn(String orderSn){
        this.orderSn = orderSn;
    }

    /**
     * 获取订单号
     *
     * @return 订单号
     */
    public String getOrderSn(){
        return orderSn;
    }


    /**
     * 设置上级订单号
     *
     * @param parentOrderId 上级订单号
     */
    public void setParentOrderId(Integer parentOrderId){
        this.parentOrderId = parentOrderId;
    }

    /**
     * 获取上级订单号
     *
     * @return 上级订单号
     */
    public Integer getParentOrderId(){
        return parentOrderId;
    }


    /**
     * 设置外部订单号
     *
     * @param tradeSn 外部订单号
     */
    public void setTradeSn(String tradeSn){
        this.tradeSn = tradeSn;
    }

    /**
     * 获取外部订单号
     *
     * @return 外部订单号
     */
    public String getTradeSn(){
        return tradeSn;
    }


    /**
     * 设置支付方式
     *
     * @param payType 支付方式
     */
    public void setPayType(Integer payType){
        this.payType = payType;
    }

    /**
     * 获取支付方式
     *
     * @return 支付方式
     */
    public Integer getPayType(){
        return payType;
    }


    /**
     * 设置价格
     *
     * @param price 价格
     */
    public void setPrice(BigDecimal price){
        this.price = price;
    }

    /**
     * 获取价格
     *
     * @return 价格
     */
    public BigDecimal getPrice(){
        return price;
    }


    /**
     * 设置
     *
     * @param prepayId 
     */
    public void setPrepayId(String prepayId){
        this.prepayId = prepayId;
    }

    /**
     * 获取
     *
     * @return 
     */
    public String getPrepayId(){
        return prepayId;
    }


    /**
     * 设置支付时间
     *
     * @param payTime 支付时间
     */
    public void setPayTime(Date payTime){
        this.payTime = payTime;
    }

    /**
     * 获取支付时间
     *
     * @return 支付时间
     */
    public Date getPayTime(){
        return payTime;
    }


    /**
     * 设置类型
     *
     * @param type 类型
     */
    public void setType(Integer type){
        this.type = type;
    }

    /**
     * 获取类型
     *
     * @return 类型
     */
    public Integer getType(){
        return type;
    }


    /**
     * 设置平台来源ID
     *
     * @param platformId 平台来源ID
     */
    public void setPlatformId(Integer platformId){
        this.platformId = platformId;
    }

    /**
     * 获取平台来源ID
     *
     * @return 平台来源ID
     */
    public Integer getPlatformId(){
        return platformId;
    }


    /**
     * 设置创建者编号
     *
     * @param createdId 创建者编号
     */
    public void setCreatedId(Integer createdId){
        this.createdId = createdId;
    }

    /**
     * 获取创建者编号
     *
     * @return 创建者编号
     */
    public Integer getCreatedId(){
        return createdId;
    }


    /**
     * 设置创建者编号
     *
     * @param modifiedId 创建者编号
     */
    public void setModifiedId(Integer modifiedId){
        this.modifiedId = modifiedId;
    }

    /**
     * 获取创建者编号
     *
     * @return 创建者编号
     */
    public Integer getModifiedId(){
        return modifiedId;
    }


    /**
     * 设置创建时间
     *
     * @param createdTime 创建时间
     */
    public void setCreatedTime(Date createdTime){
        this.createdTime = createdTime;
    }

    /**
     * 获取创建时间
     *
     * @return 创建时间
     */
    public Date getCreatedTime(){
        return createdTime;
    }


    /**
     * 设置更新时间
     *
     * @param modifiedTime 更新时间
     */
    public void setModifiedTime(Date modifiedTime){
        this.modifiedTime = modifiedTime;
    }

    /**
     * 获取更新时间
     *
     * @return 更新时间
     */
    public Date getModifiedTime(){
        return modifiedTime;
    }


    /**
     * 设置删除标识位
     *
     * @see com.ydd.framework.core.entity.enums.DeletedEnum
     * @param deleted 删除标识位
     */
    public void setDeleted(Integer deleted){
        this.deleted = deleted;
    }

    /**
     * 获取删除标识位
     *
     * @see com.ydd.framework.core.entity.enums.DeletedEnum
     * @return 删除标识位
     */
    public Integer getDeleted(){
        return deleted;
    }

    public BigDecimal getToMoney() {
        return toMoney;
    }

    public void setToMoney(BigDecimal toMoney) {
        this.toMoney = toMoney;
    }
}